#define MAX_VAL 160 // Freq about 100KHz
int value = 20;

void setup(){
  Serial.begin(9600);
  while (!Serial);
  DDRD |= _BV(PORTD3);
  TCCR2A |= 0b00100011; //0b10100011
  TCCR2B |= 0b00001001;
  OCR2A = MAX_VAL; 
  OCR2B = 0; //value
}

void loop(){
  while (!Serial.available());
  switch (Serial.read()) {
    case '+':
      value += 10; 
      if(value > MAX_VAL) value = MAX_VAL;
      break;
    case '-':
      value -= 10;
      if(value < 0) value = 0;
      break;
    case 'r':
      value = MAX_VAL >> 3;
  }
  Serial.println(value);
  OCR2B = (uint8_t) value;
  delay(50);
}
